Subject: Re: Flypress tooling

From: Richard Hager <[email-masked]>
Date: Wed, 22 May 1996 12:41:03 -0400

Mike Diack wrote:
> 
> I have this 4 ton flypress (local manufacture) which i would like to
> get some *rectangular* punches and dies for (for electronic components).
> The Radiospares & Farnell catalogs list a number of such items by an OEM
> supplier called Manuform (it doesnt matter if they dont fit - the local
> machine shop makes great adaptors). Does anyone know how to contact
> Manuform, or any similar supplier of non-circular tooling (the local
> toolmakers want $400 for an inch square punch & die !!!).
> cheers
> Mike.

-- 

Mike,

We've had good luck with Roper-Whitney (in Illinois I believe).  They 
generally have a distributor in most large cities.  Over the years 
they've bought many of the familiar names in sheet metal equipment, like 
Pexto, etc..

I'd guess a 1" square would be about $200.  They've made small custom 
punches and dies for us too.  The price was reasonable and delivery was 
about 3 weeks.  This was several years ago.

If you can't get their number from directory, try Thomas Register at a 
library or on the Web.

Good luck,

        Richard Hager

+ Ah-ha! Design Group, Inc.           -
+ Precision CNC Technology, since 1991 -
+ 612-641-1797, Fax: 612-641-8681       -
+ "I just like to build stuff" So...     -
+ for CNC info, don't email me, call      -
+ or email Ah-ha! directly.  Thanks!       -
+ www.gdic.com/ahha  email: [email-masked]   -